<?php
// WizyTówka - admin/informacje.php
if ( !defined('WT') ) exit();

$admin_naglowek['tytul'] = 'Informacje';
include('_naglowek.php');
?>

<?php if ( $b == 'markdown' ) { ?>
<h3>Składnia języka markdown</h3>

<article class="dok">

<p>Język znaczników <b>markdown</b> został stworzony, aby uprościć tworzenie i&nbsp;formatowanie tekstów. Wystarczy tylko poznać jego bardzo intuicyjną składnię.</p>

<table>

<tr> <th>Wpisany kod</th> <th>Otrzymany tekst</th> </tr>

<tr> <td>Bardzo **lubię** placki.</td> <td>Bardzo <strong>lubię</strong> placki.</td> </tr>
<tr> <td>Bardzo *lubię* placki.</td> <td>Bardzo <em>lubię</em> placki.</td> </tr>
<tr> <td>Sprawdź to w [Google](http://google.pl).</td> <td>Sprawdź to w <a href="http://google.pl">Google</a>.</td> </tr>
<tr> <td>- Litwo! Ojczyzno moja! Ty jesteś jak zdrowie.<br />- Lorem ipsum dolor sit amet.</td> <td><ul><li>Litwo! Ojczyzno moja! Ty jesteś jak zdrowie.</li><li>Lorem ipsum dolor sit amet.</li></ul></td> </tr>
<tr> <td>1. Litwo! Ojczyzno moja! Ty jesteś jak zdrowie.<br />2. Lorem ipsum dolor sit amet.</td> <td><ol><li>Litwo! Ojczyzno moja! Ty jesteś jak zdrowie.</li><li>Lorem ipsum dolor sit amet.</li></ol></td> </tr>
<tr> <td>> Cytowany tekst.</td> <td><blockquote>Cytowany tekst.</blockquote></td> </tr>
<tr> <td>------------------------</td> <td><hr /></td> </tr>
<tr> <td>Nagłówek 1<br />========</td> <td><h1>Nagłówek 1</h1></td> </tr>
<tr> <td>Nagłówek 2<br />--------</td> <td><h2>Nagłówek 2</h2></td> </tr>
<tr> <td>### Nagłówek 3</td> <td><h3>Nagłówek 3</h3></td> </tr>
<tr> <td>Przejście do<span style="white-space: pre-wrap; background: silver;" title="Dwie spacje.">  </span>nowej linii.</td> <td>Przejście do<br />nowej linii.</td> </tr>

</table>

<p>Używając markdown można jednocześnie korzystać z języka HTML.</p>

</article>
<?php } elseif ( $b == 'motywy' ) { ?>
<h3>Tworzenie motywów</h3>

<article class="dok">

<h4>Struktura plików</h4>

<p>W pierwszej kolejności należy zdecydować się, jaki identyfikator będzie nosić motyw. Identyfikator powinien składać się wyłącznie z liter A-Z i cyfr 0-9, ponieważ będzie częścią nazwy plików.</p>

<p>Najważniejsze trzy pliki to: <code>identyfikator.wtm</code>, <code>identyfikator.css</code>, <code>identyfikator.php</code>. Oczywiście zamiast słowa <em>identyfikator</em> należy umieścić własną nazwę motywu. W pliku *.php umieszczamy kod HTML i funkcje PHP wyświetlające treść. W pliku *.css określa się wygląd strony. Plik *.wtm to plik informujący WizyTówkę o ustawieniach motywu.</p>

<p>Wszystkie pliki motywu należy umieścić w katalogu <code><?php echo DANE ?>/motywy</code>.</p>

<h4>Plik konfiguracyjny</h4>

<pre>nazwa_motywu           = Nazwa motywu
pliki_dodatkowe        = tlo.png,pasek.png
ustawienia_uzytkownika = 1
logo_uzytkownika       = 1
menu_dodatkowe         = 1
autor                  = Jan Kowalski
www                    = http://przyklad.pl</pre>

<p>Powyżej znajduje się przykład pliku konfiguracyjnego. Umieszczamy w nim nazwę motywu, adres strony internetowej autora (zostanie pokazany przy edycji motywu) oraz dodatkowe ustawienia.</p>

<p>W pliku konfiguracyjnym należy podać nazwy dodatkowych plików (np. graficznych) rozdzielając je przecinkiem. Fizycznie powinny mieć nazwy poprzedzone identyfikatorem np. <code>identyfikator_pasek.png</code>, jednak w&nbsp;powyższym pliku należy je podać bez niego np. <code>pasek.png</code>.</p>

<h4>Wyświetlanie treści</h4>

<p>Treść wyświetlamy za pomocą określonych funkcji PHP.</p>

<dl class="funkcje">

<dt>zawartosc ($otworz = "&lt;article&gt;\n\n", $zamknij = "\n&lt;/article&gt;\n");</dt>
<dd><p>Wyświetla treść danej podstrony otoczoną znacznikami podanymi jako argumenty.</p></dd>

<dt>menu ($menu_nr = 1, $otworz = '&lt;li&gt;', $zamknij = "&lt;/li&gt;\n");</dt>
<dd><p>Wyświetla elementy menu głównego (gdy <code>$menu_nr = 1</code>) lub dodatkowego (gdy <code>$menu_nr = 2</code>). Należy umieścić w znaczniku <code>&lt;ul&gt;</code>.</p></dd>

<dt>tytul_podstrony ();</dt>
<dd><p>Wyświetla tytuł aktualnej podstrony w postaci odnośnika. Należy umieścić w&nbsp;znaczniku <code>&lt;h2&gt;</code>.</p></dd>

<dt>head ();</dt>
<dd><p>Obowiązkowo należy umieścić w znaczniku <code>&lt;head&gt;</code>.</p></dd>

<dt>tytul_strony ();</dt>
<dd><p>Wyświetla tytuł witryny w postaci tekstowego odnośnika lub grafiki (logo użytkownika). Należy umieścić w znaczniku <code>&lt;h1&gt;</code>.</p></dd>

<dt>ostatnia_aktualizacja ($otworz = '&lt;p&gt;', $zamknij = "&lt;/p&gt;\n");</dt>
<dd><p>Wyświetla datę ostatniej aktualizacji podstrony, jeżeli użytkownik sobie tego zażyczy.</p></dd>

<dt>stopka ($rozdziel = ' | ', $dodatkowo = '');</dt>
<dd><p>Wyświetla odnośniki, które należy umieścić w stopce witryny. Jako dodatkowy argument można podać własny odnośnik (np. promujący autora motywu).</p></dd>

<dt>statystyki ();</dt>
<dd><p>Obowiązkowo należy umieścić przed zamknięciem znacznika <code>&lt;body&gt;</code>.</p></dd>

<dt>WT ($co);</dt>
<dd>
<p><strong>Zwraca</strong> pożądaną informację, którą wskazujemy w argumencie <code>$co</code>.</p>
<ul>
<li><code>'identyfikator'</code> lub <code>'id'</code> &ndash; identyfikator aktualnej podstrony.</li>
<li><code>'tytul'</code> &ndash; tytuł aktualnej podstrony.</li>
<li><code>'adres'</code> &ndash; bezwzględny adres aktualnej podstrony.</li>
<li><code>'adres_strony'</code> &ndash; adres witryny.</li>
<li><code>'licznik_wejsc'</code> &ndash; wskazanie wbudowanego licznika wejść.</li>
<li><code>'menu_1'</code> &ndash; tablica z menu głównym.</li>
<li><code>'menu_2'</code> &ndash; tablica z menu dodatkowym.</li>
</ul>
</dd>

</dl>

<h4>Style użytkownika</h4>

<p>Na podstronie <a href="?a=wyglad&kod=<?php echo $kod ?>">Wygląd</a> użytkownik może samodzielnie dobrać kolorystykę witryny i&nbsp;krój tekstu. Aby wykorzystać konfigurację użytkownika, należy w motywie wybranym elementom nadać odpowiednie klasy.</p>

<ul>
<li><code>.kroj</code> &ndash; krój tekstu wybrany przez użytkownika.</li>
<li><code>.kolor-tekstu</code> &ndash; kolor tekstu wybrany przez użytkownika.</li>
<li><code>.kolor-tla</code> &ndash; kolor tła wybrany przez użytkownika.</li>
<li><code>.rozmiar</code> &ndash; wielkość tekstu wybrana przez użytkownika.</li>
<li><code>.u-u</code> &ndash; wszystko powyższe w jednej klasie.</li>
<li><code>.kolor-tekstu-jak-kolor-tla</code> &ndash; kolor tekstu taki, jaki kolor tła wybrany przez użytkownika.</li>
<li><code>.kolor-tla-jak-kolor-tekstu</code> &ndash; kolor tła taki, jaki kolor tekstu wybrany przez użytkownika.</li>
</ul>

<p>Najprościej znacznikowi <code>&lt;body&gt;</code> ustanowić klasę <code>.u-u</code>.</p>

</article>
<?php
} elseif ( $b == 'licencja' ) { ?>
<h3>Licencja</h3>

<article class="dok">

<?php include('licencja.php'); ?>

</article>
<?php
} elseif ( $b == 'pytania' ) { ?>
<h3>Pytania i odpowiedzi</h3>

<article class="dok">

<dl>

<dt>Dlaczego nie działają przyjazne adresy?</dt>
<dd><p>Aby przyjazne adresy działały, WizyTówka musi mieć możliwość utworzenia pliku <code>.htaccess</code>. Na niektórych serwerach jest to niemożliwe. W takim wypadku należy tę opcję wyłączyć.</p></dd>

<dt>Dlaczego kod mojej strony jest modyfikowany?</dt>
<dd><p>Na treść strony mają wpływ funkcje, które poprawiają typografię tekstu, na przykład zmieniają cudzysłowy na poprawne czy przenoszą spójniki. Można je wyłączyć w <a href="?a=ustawienia&kod=<?php echo $kod ?>">Ustawieniach</a>.</p></dd>

<dt>Dlaczego nie można stworzyć mapy witryny?</dt>
<dd><p>Prawdopodobnie WizyTówka ma problem ze stworzeniem pliku <code>sitemap.xml</code>. Stwórz go ręcznie i nadaj mu prawa chmod <code>777</code>.</p></dd>

<dt>Jak zrobić kopię zapasową strony?</dt>
<dd><p>WizyTówka wszystkie ustawienia użytkownika i podstrony przechowuje w&nbsp;folderze <code><?php echo DANE ?></code>. Aby zrobić kopię witryny wystarczy pobrać ten folder. Przywrócenie ustawień polega na podmianie tego foldera na własny.</p></dd>

<dt>Dlaczego do biblioteki audio nie mogę dodać każdego pliku?</dt>
<dd><p>Odtwarzacz wbudowany w bibliotekę audio obsługuje tylko pliki MP3, dlatego tylko pliki w tym formacie można dodać do biblioteki.</p></dd>

<dt>Dlaczego data wyświetla się w dziwny sposób?</dt>
<dd><p>Jeżeli data wyświetla się w innym niż pożądany formacie (na przykład <?php echo date(FORMAT_DATY) ?>), oznacza to, że na serwerze jest zainstalowane PHP w wersji starszej niż 5.3.0. Skontaktuj się z administratorem serwera.</p></dd>

<dt>Jak dodać stronę do wyszukiwarki Google?</dt>
<dd><p>Przejdź do <a href="?a=ustawienia&kod=<?php echo $kod ?>">Ustawienień</a>, uzupełnij opis i słowa kluczowe twojej witryny. Zaleca się też właczyć automatyczne generowanie mapy witryny. Następnie wejdź na <a href="http://google.com/addurl" target="_blank">google.com/addurl</a> i dodaj tam swoją stronę.</p></dd>

<dt>Co zrobić, jeśli wbudowane statystyki odwiedzin mi nie wystarczają?</dt>
<dd><p>Jeśli uproszczony licznik odwiedzin WizyTówki nie jest wystarczający, skorzystaj z zaawansowanych narzędzi analizujących ruch na stronie, takich jak <a href="http://www.google.com/analytics/" target="_blank">Google Analytics</a>, <a href="http://stat.4u.pl/" target="_blank">Stat4u</a>, <a href="http://gostats.pl/" target="_blank">GoStats</a>. Otrzymany tam kod należy wkleić w&nbsp;<a href="?a=statystyki&kod=<?php echo $kod ?>">Statystykach</a>.</p></dd>

<dt>Jak zgłaszać błędy lub propozycje?</dt>
<dd><p>Aby skontaktować się z autorem, należy skorzystać z formularza na stronie <a href="http://tomaszgasior.kao.pl/kontakt" target="_blank">tomaszgasior.kao.pl/kontakt</a>.</p></dd>

</dl>

</article>
<?php
} else { 

$aktualizacja = false;
$serwis_wizytowka = @file_get_contents('http://wizytowka.tomaszgasior.kao.pl/wersja.txt',null,null,null,16);

$serwis_wizytowka = explode(',',$serwis_wizytowka);
$aktualizacja_wersja = $serwis_wizytowka[0];
$aktualizacja_data = $serwis_wizytowka[1];
if ( $aktualizacja_wersja > WERSJA )
  $aktualizacja = true;

?>
<table class="wersja">

<caption>Wersja</caption>

<tr> <td><strong>WizyTówka <?php echo WERSJA ?> <?php if ( WERSJA_TEST == 'ALFA' ) echo '<span style="color: blue;">ALFA</span>'; elseif ( WERSJA_TEST == 'BETA' ) echo '<span style="color: red;">BETA</span>'; ?></strong> (<?php echo WERSJA_DATA ?>)</td> </tr>
<tr> <td><a href="http://wizytowka.tomaszgasior.kao.pl" target="_blank">www.wizytowka.tomaszgasior.kao.pl</a></td> </tr>

</table>

<?php if ($aktualizacja) { ?>
<table>

<caption>Aktualizacja</caption>

<tr> <td>Używasz przestarzałej wersji WizyTówki wydanej w dniu <?php echo WERSJA_DATA ?>.</td> </tr>
<tr> <td>Najnowsza wersja to <strong><?php echo $aktualizacja_wersja ?></strong> wydana w dniu <strong><?php echo $aktualizacja_data ?></strong>.</td> </tr>
<tr> <td>Wejdź na <a href="http://wizytowka.tomaszgasior.kao.pl" target="_blank">www.wizytowka.tomaszgasior.kao.pl</a>, pobierz nową wersję i dokonaj aktualizacji podmieniając folder <code><?php echo SYSTEM ?></code> na nowy.</td> </tr>

</table>
<?php } ?>

<table>

<caption>Dokumentacja</caption>

<tr> <td><a href="?a=informacje&b=motywy&kod=<?php echo $kod ?>">Tworzenie motywów</a></td> <td><a href="?a=informacje&b=licencja&kod=<?php echo $kod ?>">Licencja</a></td> </tr>
<tr> <td><a href="?a=informacje&b=markdown&kod=<?php echo $kod ?>">Składnia języka markdown</a></td> <td><a href="?a=informacje&b=pytania&kod=<?php echo $kod ?>">Pytania i odpowiedzi</a></td> </tr>

</table>

<table>

<caption>Elementy</caption>

<tr> <th>Element</th> <th>Autor</th> <th class="waska-kolumna">Wersja</th> <th class="waska-kolumna">Licencja</th> </tr>

<tr> <td><a href="http://led24.de/iconset" target="_blank">LED Icon Set</a></td> <td>Marcis Gasuns</td> <td class="waska-kolumna">1.0</td> <td class="waska-kolumna"><a href="http://creativecommons.org/licenses/by-sa/3.0/" target="_blank">CC BY-SA 3.0</a></td> </tr>
<tr> <td><a href="http://daringfireball.net/projects/markdown" target="_blank">Markdown</a></td> <td><a href="http://daringfireball.net" target="_blank">John Gruber</a></td> <td class="waska-kolumna">&mdash;</td> <td class="waska-kolumna"><a href="http://daringfireball.net/projects/markdown/license" target="_blank">BSD</a></td> </tr>
<tr> <td><a href="http://michelf.ca/projects/php-markdown" target="_blank">PHP Markdown</a></td> <td><a href="http://michelf.ca/home" target="_blank">Michel Fortin</a></td> <td class="waska-kolumna">1.0.1o</td> <td class="waska-kolumna"><a href="http://michelf.ca/projects/php-markdown/license/" target="_blank">BSD</a></td> </tr>
<?php if ( odczyt_typ('s_galeria') != false ) { ?><tr> <td><a href="http://galleria.io" target="_blank">Galleria</a></td> <td><a href="http://www.aino.com" target="_blank">Aino</a></td> <td class="waska-kolumna">1.2.8</td> <td class="waska-kolumna"><a href="http://opensource.org/licenses/mit-license.php" target="_blank">MIT</a></td> </tr><?php } ?>
<?php if ( odczyt_typ('s_audio') != false ) { ?><tr> <td><a href="http://kolber.github.com/audiojs" target="_blank">Audio.js</a></td> <td><a href="http://aestheticallyloyal.com" target="_blank">Anthony Kolber</a></td> <td class="waska-kolumna">&mdash;</td> <td class="waska-kolumna"><a href="http://opensource.org/licenses/mit-license.php" target="_blank">MIT</a></td> </tr><?php } ?>
<tr> <td><a href="http://nicedit.com" target="_blank">NicEdit</a></td> <td><a href="http://bkirchoff.com" target="_blank">Brian Kirchoff</a></td> <td class="waska-kolumna">0.9 r24</td> <td class="waska-kolumna"><a href="http://nicedit.com/license.php" target="_blank">MIT</a></td> </tr>
<tr> <td><a href="http://jscolor.com" target="_blank">JSColor</a></td> <td><a href="http://odvarko.cz" target="_blank">Jan Odvárko</a></td> <td class="waska-kolumna">1.4.0</td> <td class="waska-kolumna"><a href="http://www.gnu.org/copyleft/lesser.html" target="_blank">LGPL</a></td> </tr>

</table>
<?php } ?>

<?php
include('_stopka.php');